%define upstream_name Dist-Zilla-Role-ModuleMetadata
%define upstream_version 0.006

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    A role for plugins that use Module::Metadata
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Dist::Zilla::File::InMemory)
BuildRequires: perl(Dist::Zilla::Role::FileGatherer)
BuildRequires: perl(Dist::Zilla::Role::MetaProvider)
BuildRequires: perl(Dist::Zilla::Role::Plugin)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(Module::Metadata) >= 1.0.5
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Needs)
BuildRequires: perl(if)
BuildRequires: perl(lib)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
A role for plugins that use Module::Metadata.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc CONTRIBUTING Changes INSTALL LICENCE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.6.0-5.mga10
+ Revision: 2203835
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.6.0-4.mga9
+ Revision: 1809174
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.6.0-3.mga8
+ Revision: 1504313
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.6.0-2.mga7
+ Revision: 1283379
- Mageia 7 Mass Rebuild

* Tue Apr 10 2018 tv <tv> 0.6.0-1.mga7
+ Revision: 1217125
- update to 0.006

* Mon Apr 02 2018 tv <tv> 0.5.0-1.mga7
+ Revision: 1214763
- update to 0.005

* Fri Jul 21 2017 sander85 <sander85> 0.4.0-1.mga7
+ Revision: 1126005
- update to 0.004

* Sun Jun 19 2016 pterjan <pterjan> 0.3.0-3.mga6
+ Revision: 1026692
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.3.0-2.mga6
+ Revision: 966786
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 0.3.0-1.mga6
+ Revision: 846835
- imported package perl-Dist-Zilla-Role-ModuleMetadata

